PTHREAD_ATTR_SETSTACKSIZE(3)

NAME
pthread_attr_setstacksize, pthread_attr_getstacksize - set and get stacksize attribute

SYNOPSIS
libpthread
#include <pthread.h>
int
pthread_attr_setstacksize(pthread_attr_t *attr, size_t stacksize);
int
pthread_attr_getstacksize(const pthread_attr_t *attr, size_t *stacksize);

DESCRIPTION
The functions pthread_attr_setstacksize() and pthread_attr_getstacksize(), respectively, set and get the thread creation stacksize attribute in the attr object.

The stacksize attribute defines the minimum stack size (in bytes) allocated for the created thread's stack.

RETURN VALUES
Upon successful completion, pthread_attr_setstacksize() and pthread_attr_getstacksize() return a value of 0. Otherwise, an error number is returned to indicate the error.

The pthread_attr_getstacksize() function stores the stacksize attribute value in stacksize if successful.

ERRORS
The pthread_attr_setstacksize() function will fail if:

[EINVAL]
    The value of stacksize is less than PTHREAD_STACK_MIN or exceeds a system-imposed limit.

These functions will not return an error code of [EINTR].

SEE ALSO
pthread_attr_init(3), pthread_attr_setdetachstate(3), pthread_attr_setguardsize(3), pthread_attr_setstack(3), pthread_attr_setstackaddr(3), pthread_create(3), pthreads(3)

STANDARDS
pthread_attr_setstacksize() and pthread_attr_getstacksize() conform to ISO/IEC 9945-1 ANSI/IEEE (“POSIX”) Std 1003.1 Second Edition 1996-07-12.